import java.util.Scanner;

public class Examen01
{
  
  public static void main(String args[])
  {
    Scanner teclado = new Scanner(System.in);
    System.out.println("LED numbre display");
    
    String numero = "1";
    while(!(numero.equals("0")))
    {
      
      System.out.println("Numero a mostrar [0=Salir]: ");
      teclado.skip("[\n\r\t ]*");
      numero=teclado.nextLine();
      if(!(numero.equals("0")))
      {
        
        System.out.println("Factor de aumento (x): ");
        int x=teclado.nextInt();
        
        for(int i=0; i<numero.length(); i++)
        {
          
          if(numero.charAt(i)=='0')
          {
            for(int fila=1; fila<=(x*1); fila++)
            {
              for ( int columna=1; columna<=x*3; columna++)
                System.out.print("#");
              
              System.out.println();
            }//for
            
            for(int fila=1; fila<=(x*3); fila++)
            {
              for ( int columna=1; columna<=x*1; columna++)
                System.out.print("#");
              
              
              for ( int columna=1; columna<=x*1; columna++)
                System.out.print(" ");
              
              
              for(int columna=1; columna<=x*1; columna++)
                System.out.print("#");
              
              System.out.println();
              
            }//for
            
            for(int fila=1; fila<=(x*1); fila++)
            {
              for ( int columna=1; columna<=x*3; columna++)
                System.out.print("#");
              
              System.out.println();
            }//for
            System.out.println();
          }//if 0
          
          
          
          if(numero.charAt(i)=='1')
          {
            for(int fila=1; fila<=(x*5); fila++)
            {
              for ( int columna=1; columna<=x*1; columna++)
                System.out.print("#");
              
              System.out.println();
            }//for
            System.out.println();
          }//if 1
          
          
          
          if(numero.charAt(i)=='2')
          {
            for(int fila=1; fila<=(x*1); fila++)
            {
              for ( int columna=1; columna<=x*3; columna++)
                System.out.print("#");
              
              System.out.println();
            }//for
            
            for(int fila=1; fila<=(x*1); fila++)
            {
              for ( int columna=1; columna<=x*1; columna++)
                System.out.print("  ");
              
              
              for ( int columna=1; columna<=x*1; columna++)
                System.out.print("#");
              
              System.out.println();
              
            }//for
            
            for(int fila=1; fila<=(x*1); fila++)
            {
              for ( int columna=1; columna<=x*3; columna++)
                System.out.print("#");
              
              System.out.println();
            }//for
            
            for(int fila=1; fila<=(x*1); fila++){
              for ( int columna=1; columna<=x*1; columna++)
                System.out.print("#");
              
              System.out.println();
            }//for
            
            for(int fila=1; fila<=(x*1); fila++)
            {
              for ( int columna=1; columna<=x*3; columna++)
                System.out.print("#");
              
              System.out.println();
            }//for
            
            System.out.println();
          }//if 2
          
          
        }//for principal
        
      }//if principal
      else return;
      
    }//while
    
  }//main()
}//class